Learn how easy it is to sync an existing GitHub or Google Code repo to a SourceForge project! See Demo

Close

#4611 App Server shutting itself down

R2.6.0
closed
Kathy Pink
5
2007-11-15
2007-11-07
ADAXA
No

Could you help investigate the following application server issue reported one of our client?

-----------------------------------------------------
We are having issues with the application server/accounting processor - we can't post things. Also, the Invoice generate is not working - this is what the log below is from.

I spent some time last night trying to get the app server to work. It would start and them stop itself. So it would get through some things and then shut itself down. I could see the shutdown complete message on the console.
-----------------------------------------------------

Autosizing table
Finished autosizing table
Finished executing query
09:44:15.625 VInvoiceGen.actionPerformed: Cmd=SelectDeselectAll [11]
09:44:18.156 VInvoiceGen.actionPerformed: Cmd=Ok [11]
09:44:18.156 VInvoiceGen.saveSelection: [11]
UPDATE C_Order SET IsSelected = 'Y' WHERE C_Order_ID IN (1044291,1044532,1044697,1044703)
Set 4
09:44:18.500 InvoiceGenerate.doIt: Selection=true, DateInvoiced=2007-11-08 00:00:00.0, AD_Org_ID=0, C_BPartner_ID=0, C_Order_ID=0, DocAction=PR, Consolidate=true [28]
09:44:18.609 Trx.start: **** SvrProcess_1194475458468 [28]

09:45:43.968 APanel.dataStatusChanged: 1/516 [30]
-----------> MLookup.run: AD_WF_Process.AD_WF_Process_ID: Loader - Too many records [31]
-----------> MLookup.run: AD_WF_Process.AD_WF_Process_ID: Loader - Too many records [32]
09:45:44.406 APanel.dataStatusChanged: 1/516 [29]
-----------> MLookup.run: AD_WF_Process.AD_WF_Process_ID: Loader - Too many records [33]
-----------> MLookup.run: AD_WF_Process.AD_WF_Process_ID: Loader - Too many records [34]

Discussion

  • Felipe Reyes
    Felipe Reyes
    2007-11-08

    • status: open --> pending
     
  • Felipe Reyes
    Felipe Reyes
    2007-11-08

    Logged In: YES
    user_id=1793135
    Originator: NO

    Before this morning, was the application server working fine? If so, did anything change?

    Could you expand any further on what exactly is the issue with 'generate invoices manual'?

    Could you send us the complete log file and also provide us with remote access to your system?

     
    • status: pending --> closed
     
  • Logged In: YES
    user_id=1312539
    Originator: NO

    This Tracker item was closed automatically by the system. It was
    previously set to a Pending status, and the original submitter
    did not respond within 7 days (the time period specified by
    the administrator of this Tracker).

     
  • Bob Simoni
    Bob Simoni
    2007-11-16

    Logged In: YES
    user_id=1884842
    Originator: NO

    Problem turned out to be caused by the multiple occurrences of the Generate Invoices process that were scheduled for specific business partners which were the locking the AD_Sequence table, thereby preventing creation of other documents (since they all make use of this table). This process was obviously not designed to be run simultaneously so extra care will be needed when scheduling it so the run times don’t overlap.